package com.ruoyi.syzy.mapper;

import com.ruoyi.syzy.domain.BBusiWishUniversitySubmitMarjorsUpdate;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

/**
 * 专业线更新Mapper接口
 * 
 * @author voluntary
 * @date 2023-05-25
 */
public interface BBusiWishUniversitySubmitMarjorsUpdateMapper 
{
    public List<BBusiWishUniversitySubmitMarjorsUpdate> selectUpdateLocationList(@Param("version") String version, @Param("locations") Collection<String> locations, @Param("offset") Integer offset, @Param("limit") Integer limit);

    void insertUpdateBatch(@Param("list") List<BBusiWishUniversitySubmitMarjorsUpdate> records);

    void updateCorrRankBatch(@Param("list") List<BBusiWishUniversitySubmitMarjorsUpdate> records);

    void updateSubmitMarjors(@Param("version") String version, @Param("locations") Collection<String> locations);

    void deleteUpdateVersion(@Param("version") String version, @Param("location") String location);

    void insertUpdatePlanSubmit(@Param("list") Collection<Long> list);

    void insertCollegeStats(@Param("newGaoKao") Boolean newGaoKao, @Param("currYear")  Integer currYear, @Param("locations") Collection<String> locations, @Param("collegeIds") Collection<Integer> collegeIds);
    void updateCollegeStats(@Param("currYear")  Integer currYear, @Param("locations") Collection<String> locations, @Param("collegeIds") Collection<Integer> collegeIds);
    void insertStats(@Param("currYear")  Integer currYear, @Param("locations") Collection<String> locations, @Param("planIds") Collection<Long> planIds);
    void updateStats(@Param("currYear")  Integer currYear, @Param("locations") Collection<String> locations, @Param("planIds") Collection<Long> planIds);
}
